package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.BlackList;
import com.caliverse.admin.domain.request.BlackListRequest;

import java.util.List;
import java.util.Map;

public interface BlackListMapper {
    List<BlackList> getBlackList(Map map);
    int getAllCnt(Map map);
    int getTotal();
    BlackList getBlackListDetail(Long id);

    List<BlackList> getHistoryByGuid(String guid);

    int getCountByGuid(String guid);

    void postBlackList(BlackListRequest blackListRequest);

    void deleteBlackList(Map map);

    List<BlackList> getScheduleBlackList();
    void updateStatus(Map map);
}
